"use strict";const performance=require("./vs/base/common/performance");performance.mark("code/fork/start");const bootstrap=require("./bootstrap"),bootstrapNode=require("./bootstrap-node");bootstrapNode.removeGlobalNodeModuleLookupPaths(),bootstrap.enableASARSupport(),process.env.VSCODE_INJECT_NODE_MODULE_LOOKUP_PATH&&bootstrapNode.injectNodeModuleLookupPath(process.env.VSCODE_INJECT_NODE_MODULE_LOOKUP_PATH),!!process.send&&process.env.VSCODE_PIPE_LOGGING==="true"&&pipeLoggingToParent(),process.env.VSCODE_HANDLES_UNCAUGHT_ERRORS||handleExceptions(),process.env.VSCODE_PARENT_PID&&terminateWhenParentTerminates(),require("./bootstrap-amd").load(process.env.VSCODE_AMD_ENTRYPOINT);function pipeLoggingToParent(){const o=1e5;function a(e){const r=[],s=[];if(e.length)for(let n=0;n<e.length;n++){if(typeof e[n]=="undefined")e[n]="undefined";else if(e[n]instanceof Error){const i=e[n];i.stack?e[n]=i.stack:e[n]=i.toString()}s.push(e[n])}if(process.env.VSCODE_LOG_STACK==="true"){const n=new Error().stack;n&&s.push({__$stack:n.split(`
`).slice(3).join(`
`)})}try{const n=JSON.stringify(s,function(i,c){if(p(c)||Array.isArray(c)){if(r.indexOf(c)!==-1)return"[Circular]";r.push(c)}return c});return n.length>o?"Output omitted for a large object that exceeds the limits":n}catch(n){return`Output omitted for an object that cannot be inspected ('${n.toString()}')`}}function u(e){try{process.send&&process.send(e)}catch(r){}}function p(e){return typeof e=="object"&&e!==null&&!Array.isArray(e)&&!(e instanceof RegExp)&&!(e instanceof Date)}function f(e,r){u({type:"__$console",severity:e,arguments:r})}function t(e,r){if(process.env.VSCODE_LOG_NATIVE==="true"){const s=console[e];console[e]=function(){f(r,a(arguments));const n=e==="error"||e==="warn"?process.stderr:process.stdout;n.write(`
START_NATIVE_LOG
`),s.apply(console,arguments),n.write(`
END_NATIVE_LOG
`)}}else console[e]=function(){f(r,a(arguments))}}process.env.VSCODE_VERBOSE_LOGGING==="true"?(t("info","log"),t("log","log"),t("warn","warn"),t("error","error")):process.env.VSCODE_LOG_NATIVE!=="true"&&(console.log=function(){},console.warn=function(){},console.info=function(){},t("error","error"))}function handleExceptions(){process.on("uncaughtException",function(o){console.error("Uncaught Exception: ",o)}),process.on("unhandledRejection",function(o){console.error("Unhandled Promise Rejection: ",o)})}function terminateWhenParentTerminates(){const o=Number(process.env.VSCODE_PARENT_PID);typeof o=="number"&&!isNaN(o)&&setInterval(function(){try{process.kill(o,0)}catch(a){process.exit()}},5e3)}

//# sourceMappingURL=https://ticino.blob.core.windows.net/sourcemaps/3c644ffe6dc0a5a3240ab5c6fbb24a2490b5a9e6/core/bootstrap-fork.js.map
